# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_PatchParameter Struct Reference

VLX wrapper of vl::PatchParameter. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_PatchParameter:

List of all members.

## Public Member Functions

void | importPatchParameter (const VLXStructure *vlx, PatchParameter *pp)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportPatchParameter (const PatchParameter *pp, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::PatchParameter.

Definition at line 1189 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_PatchParameter::importPatchParameter | ( | const VLXStructure * | vlx,
|  | PatchParameter * | pp
| ) |  | `[inline]`

Definition at line 1191 of file VLXWrappers.hpp.

References vl::PatchParameter::setPatchDefaultInnerLevel(), vl::PatchParameter::setPatchDefaultOuterLevel(), vl::PatchParameter::setPatchVertices(), vl::VLXStructure::value(), vl::vlx_vec2(), and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_PatchParameter::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1214 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importPatchParameter(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_PatchParameter::exportPatchParameter | ( | const PatchParameter * | pp,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1223 of file VLXWrappers.hpp.

References vl::PatchParameter::patchDefaultInnerLevel(), vl::PatchParameter::patchDefaultOuterLevel(), vl::PatchParameter::patchVertices(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_PatchParameter::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1230 of file VLXWrappers.hpp.

References vl::Object::as(), exportPatchParameter(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.